_Evas_Smart_Cb_Description Struct Reference
Evas » Smart Functions

Describes a callback issued by a smart object (evas_object_smart_callback_call()), as defined in its smart object class. More...

`#include <Evas_Common.h>`

## Data Fields

const char * | name
| callback name ("changed", for example)
const char * | type
| Hint on the type of `event_info` parameter's contents on a Evas_Smart_Cb callback.

## Detailed Description

Describes a callback issued by a smart object (evas_object_smart_callback_call()), as defined in its smart object class.

This is particularly useful to explain to end users and their code (i.e., introspection) what the parameter `event_info` will point to.

## Field Documentation

## type

const char* _Evas_Smart_Cb_Description::type

Hint on the type of `event_info` parameter's contents on a Evas_Smart_Cb callback.

The type string uses the pattern similar to http://dbus.freedesktop.org/doc/dbus-specification.html#message-protocol-signatures, but extended to optionally include variable names within brackets preceding types. Example:

- Structure with two integers: `"(ii)"`

- Structure called 'x' with two integers named 'a' and 'b': `"[x]([a]i[b]i)"`

- Array of integers: `"ai"`

- Array called 'x' of struct with two integers: `"[x]a(ii)"`

Note
  This type string is used as a hint and is not validated or enforced in any way. Implementors should make the best use of it to help bindings, documentation and other users of introspection features.